package com.example.beijing_daxing.been;

import java.util.Date;
import java.util.List;

/**
 * 轮挡台账对象 ledger_rfid
 *
 * @author wangh
 * @date 2024-01-17
 */
public class LedgerRfid {

    private Long objid;
    private Long manufacturerId;
    /**
     * RFID编码
     */
    private String rifdCode;
    /**
     * 生产批次
     */
    private String batchCode;
    /**
     * 所在位置
     */
    private String locationType;
    /**
     * 位置编码
     */
    private String locationCode;
    /**
     * 是否报废
     */
    private String isScrap;
    private String dictLabel;
    private List<BaseLocation> baseLocationList;
    private String createTime;

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public List<BaseLocation> getBaseLocationList() {
        return baseLocationList;
    }

    public void setBaseLocationList(List<BaseLocation> baseLocationList) {
        this.baseLocationList = baseLocationList;
    }

    public String getDictLabel() {
        return dictLabel;
    }
    public void setDictLabel(String dictLabel) {
        this.dictLabel = dictLabel;
    }
    public void setObjid(Long objid) {
        this.objid = objid;
    }
    public Long getObjid() {
        return objid;
    }
    public void setManufacturerId(Long manufacturerId) {
        this.manufacturerId = manufacturerId;
    }
    public Long getManufacturerId() {
        return manufacturerId;
    }
    public void setRifdCode(String rifdCode) {
        this.rifdCode = rifdCode;
    }
    public String getRifdCode() {
        return rifdCode;
    }
    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }
    public String getBatchCode() {
        return batchCode;
    }
    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }
    public String getLocationType() {
        return locationType;
    }
    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }
    public String getLocationCode() {
        return locationCode;
    }
    public void setIsScrap(String isScrap) {
        this.isScrap = isScrap;
    }
    public String getIsScrap() {
        return isScrap;
    }


}
